This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1303693 - Network topology should fit the screen
Network topology should fit the screen
Status: ASSIGNED
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-django-horizon (Show other bugs)
8.0 (Liberty)
x86_64 Linux
medium Severity medium
: ---
: 8.0 (Liberty)
Assigned To: Radomir Dopieralski
Ido Ovadia
: Triaged, ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-01 11:52 EST by Ido Ovadia
Modified: 2017-09-23 21:49 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
networks out (253.05 KB, video/mp4)
2016-02-23 08:20 EST, Itxaka
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1540484 None None None 2016-02-01 12:11 EST
OpenStack gerrit 283704 None None None 2016-04-07 04:17 EDT

  None (edit)
Description Ido Ovadia 2016-02-01 11:52:13 EST
Description of problem:
=======================
Network topology should fit the screen.
User can move the network topology beyond screen border

Version-Release number of selected component:
=============================================
python-django-horizon-8.0.0-10.el7ost.noarch

How reproducible:
=================
100%

Steps to Reproduce:
===================
1. Install RHOS (test on Director and packstack)
2. Create a Network
3. Create an instance and connect it to the network you have created. 
4. Browse to network topology
5. Move the network to screen borders

Actual results:
===============
Network topology could move beyond screen border, and the topology can disappear

Expected results:
=================
Network topology could not move beyond screen border

Additional info:
Comment 1 Itxaka 2016-02-23 08:18:17 EST
I can confirm this, but it seems to me that its done by design as to allow the 2d movement around when having a lot of devices/networks and when zooming in/out.

Unfortunately, its true that even if you zoom out to the max allowed zoon you can still drag the canvas so all your networks are not showing.


Maybe a button to center back the canvas could be added as a workaround for this?

See video attached for an small example of zooming in/out and getting all devices out of the screen.
Comment 2 Itxaka 2016-02-23 08:20 EST
Created attachment 1129758 [details]
networks out
Comment 3 Itxaka 2016-06-10 07:35:08 EDT
Patch upstream still under review
Comment 6 Ido Ovadia 2016-08-28 10:30:25 EDT
Failed QA
=========
python-django-horizon-8.0.1-6.el7ost.noarch

Seems it doesn't merge yet
I can still drag the canvas so all your networks are not showing.

There is no any button that resets the visualization so it gets in the center and removes zoom.

Note You need to log in before you can comment on or make changes to this bug.